Bug 457600 - Krunner can order AppStream results higher than apps and KCMs
Summary: Krunner can order AppStream results higher than apps and KCMs
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-08-07 20:15 UTC by Reuben
Modified: 2022-08-09 18:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
screenshot (48.27 KB, image/png)
2022-08-07 20:15 UTC, Reuben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reuben 2022-08-07 20:15:07 UTC
Created attachment 151167 [details]
screenshot

SUMMARY
Exact matches should bubble to the top. Further, uninstalled applications should probably never be the first option.


STEPS TO REPRODUCE
1. Search "mouse"

OBSERVED RESULT
1. Mousetrap (uninstalled, probably quite a rarely installed package) is first option; "mouse" (settings) is 3rd down

EXPECTED RESULT
1. "Mouse" settings should be first

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 David Edmundson 2022-08-07 22:00:33 UTC
>Krunner results should be ranked by relevance

They are. What we're seeing is the result of that ranking.
Comment 2 Reuben 2022-08-07 22:05:38 UTC
OK - then how about: "the ranking of results is wrong". It's hard to represent that it's more relevant to show a minor uninstalled game that has a subword match vs showing a settings section that is an exact match.
Comment 3 Bug Janitor Service 2022-08-08 14:23:01 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/2000
Comment 4 Reuben 2022-08-08 16:50:06 UTC
Ironically enough, searching "ouse" bring "Mouse (settings)" to the top of the list, and doesn't find "Mousetrap".
Comment 5 Alexander Lohnau 2022-08-09 16:56:04 UTC
Git commit ad0f0d129d0080d035fd483317f7120ba6953031 by Alexander Lohnau.
Committed on 09/08/2022 at 16:46.
Pushed by alex into branch 'master'.

Fix appstream runner results appearing before apps/kcms

M  +1    -1    runners/appstream/appstreamrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/ad0f0d129d0080d035fd483317f7120ba6953031
Comment 6 Alexander Lohnau 2022-08-09 18:42:00 UTC
Git commit 65610ce17fb3f4b0e96b7e3444c69ddca793e535 by Alexander Lohnau.
Committed on 09/08/2022 at 18:41.
Pushed by alex into branch 'Plasma/5.25'.

Fix appstream runner results appearing before apps/kcms


(cherry picked from commit ad0f0d129d0080d035fd483317f7120ba6953031)

M  +1    -1    runners/appstream/appstreamrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/65610ce17fb3f4b0e96b7e3444c69ddca793e535
Comment 7 Alexander Lohnau 2022-08-09 18:42:35 UTC
Git commit bfdd84f3cb5f939ceb76dcea679c0a8c7b4d0eca by Alexander Lohnau.
Committed on 09/08/2022 at 18:42.
Pushed by alex into branch 'Plasma/5.24'.

Fix appstream runner results appearing before apps/kcms


(cherry picked from commit ad0f0d129d0080d035fd483317f7120ba6953031)

M  +1    -1    runners/appstream/appstreamrunner.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/bfdd84f3cb5f939ceb76dcea679c0a8c7b4d0eca